%define libver 0.4
%define libgtkver %{libver}
%define major 0
%define gtkmajor %{major}

%define libname		%mklibname champlain %{libver} %{major}
%define libgtkname	%mklibname champlain-gtk %{libgtkver} %{gtkmajor}
%define develname	%mklibname champlain %{libver} -d
%define __libtoolize    /bin/true

Summary:	Map view for Clutter
Name:		libchamplain
Version:	0.4.6
Release:	%mkrel 1
License:	LGPLv2+
Group:		Graphical desktop/GNOME 
URL:		http://blog.pierlux.com/projects/libchamplain/en/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	clutter-gtk-devel >= 0.10
BuildRequires: 	libsoup-devel
BuildRequires:  libvala-devel
BuildRequires:  gobject-introspection-devel gir-repository
BuildRequires:	gtk-doc
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:  	%name < %version

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%package -n %{libname}
Summary:	Map view for Clutter
Group:		System/Libraries

%description -n %{libname}
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%package -n %{libgtkname}
Summary:	Map view for Clutter
Group:		System/Libraries

%description -n %{libgtkname}
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

This package contains the GTK+ view for %{name}

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%libname = %{version}
Requires:	%libgtkname = %{version}
Provides:	%name-devel = %version-%release

%description -n %{develname}
This package contains development files for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static \
              --enable-gtk-doc
%make

%install
rm -rf ${buildroot}
%makeinstall_std 

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}-%{libver}.so.%{major}*
%_libdir/girepository-1.0/Champlain-%libver.typelib

%files -n %{libgtkname}
%defattr(-,root,root,-)
%{_libdir}/%{name}-gtk-%{libgtkver}.so.%{gtkmajor}*
%_libdir/girepository-1.0/GtkChamplain-%libver.typelib

%files -n %{develname}
%defattr(-,root,root,-)
%doc NEWS
%doc demos/launcher.c
%{_libdir}/*.la
%{_libdir}/%{name}-%{libver}.so
%{_libdir}/%{name}-gtk-%{libgtkver}.so
%{_libdir}/pkgconfig/champlain-%{libver}.pc
%{_libdir}/pkgconfig/champlain-gtk-%{libgtkver}.pc
%dir %{_datadir}/gtk-doc/html/%{name}
%dir %{_datadir}/gtk-doc/html/%{name}-gtk
%doc %{_datadir}/gtk-doc/html/%{name}/*
%doc %{_datadir}/gtk-doc/html/%{name}-gtk/*
%dir %{_includedir}/%{name}-%{libver}
%dir %{_includedir}/%{name}-%{libver}/champlain
%{_includedir}/%{name}-%{libver}/champlain/*.h
%dir %{_includedir}/%{name}-gtk-%{libgtkver}
%dir %{_includedir}/%{name}-gtk-%{libgtkver}/champlain-gtk/
%{_includedir}/%{name}-gtk-%{libgtkver}/champlain-gtk/*.h
%_datadir/gir-1.0/Champlain-%libver.gir
%_datadir/gir-1.0/GtkChamplain-%libver.gir



%changelog
* Tue Jun 01 2010 slick50 <lxgator@gmail.com> 0.4.6-1pclos2010
- 0.4.6

* Wed Mar 24 2010 slick50 <lxgator@gmail.com> 0.4.5-1pclos2010
- 0.4.5

* Sat Jan 09 2010 slick50 <lxgator@gmail.com> 0.4.3-1pclos2010
- 0.4.3

* Wed Oct 21 2009 Texstar <texstar at gmail.com> 0.4.0-1pclos2010
- import into pclos

